#include <bits/stdc++.h>
using namespace std;
int ktnt(int a)
{
    if (a < 2)
        return 0;

    for (int i = 2; i <= sqrt((float)a); i ++)
    {
        if (a%i==0)
        {
            return 0;
        }
    }
    return 1;
}
int main()
{
    ifstream f1("demnt.inp");
    ofstream f2("demnt.out");
    int n;
    f1>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    int tong =0;
    for(int i=0;i<n;i++)
    {
        if(ktnt(a[i])==1)
        {
            tong++;
        }
    }
    f2<<tong;
}
